require "backups/version"

module Backups; end

require "thor"
 
class BackupsCLI < Thor
  class_option :dry_run, type: :boolean, desc: "Don't actually do anything"

  desc "rotate NAME", "Rotate the NAME backups"
  long_desc File.read 'docs/rotate.txt'
  option :complete
  def rotate(name)
    if options[:complete]

      exit
    end
    if name
      puts "rotating #{name}"
    else
      puts "giving you a selection"
    end
  end
end